Issue 81799 - No sound save-as or export in either html/SWF or PowerPoint.
No sound save-as or export in either html/SWF or PowerPoint.
Status: CONFIRMED
Product: Impress
Classification: Application
Component: save-export
OOo 2.3
PC All
: P3 trivial with 2 votes (vote)
: ---
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 04:55 UTC by mesat
Modified: 2013-08-07 15:20 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description mesat 2007-09-21 04:55:28 UTC
This is a repeat of issue 58428 which was closed, due to being fixed, in May of
last year.  

Today I downloaded and installed 2.3 on two different Linux machines. 
Configured JMF to make sure sounds were playing and tried to export a
Presentation to html/Flash or PowerPoint format.

In all cases the slides were present but there was no sound.  The original sound
files were wav files.

I tried to open the ppt files in Impress again but there was no sound.  To
ensure that there was a sound issue, I then tried the presentation on two
different Windows XP computers.  In neither case was there any sound.

I originally tried in Office 2.2 from both Fedora and OOo's own site with no
success either.  I am waiting for responses on the OOo users mail list to see if
anyone is successful with exporting sound files.

I am adding the sound with "Insert > Movie and Sound" and have the sound
configured to play when the slide opens.  There is no sound icon in the PPT
file.  There are no references to sound in the html files.

The presentation had to be completed in, the shame of it, PowerPoint as it was
required today.
Comment 1 mesat 2007-09-23 05:29:09 UTC
Working with someone on the users list, I have confirmed that no sound is
embeded in a saved presentation.  I may have missed a setting but I cannot find
any way to embed sound in the presentation.

Another user has confirmed that opening and saving a Powerpoint presentation in
OOo will save the embeded sound.  I asked him if he could test a new
presentation and if he could embed the sound.  Even an exported PowerPoint
presentation into the same directory as the original Impress presentation
wouldn't play any sound.

The file sizes are all to small to have included the sound anyways.  Something I
never thought of looking at before.


Comment 2 wolframgarten 2007-10-12 12:54:25 UTC
I setup a testfile in OOo with objects and sound when they appear. I saved it as
ppt and opened it again: there still was sound. Then I opened the file in PPT:
there also was sound.
After this I inserted sound dragged in from the gallery. After saving this to
ppt and reloading the sounds were gone and did also not appear in PPT.
Comment 3 Martin Hollmichel 2007-11-09 17:19:38 UTC
set target from 2.x to 3.x according to
http://wiki.services.openoffice.org/wiki/Target_3x
Comment 4 dinger 2009-08-07 23:05:37 UTC
I have today found you can embed sound files, but only as an object using OLE 
or plug-ins.  You can even embed it with insert sound media menu, but you have 
to open the object and add it in the custom animations under the ""Misc 
Effects" column by selecting "start media".  However, with the latter, you lose 
control over the sound file and the slide transitions.  You do have to firstly 
customise this menu option to see it.  All of these methods create slide show 
playback issues and sound file problems when exporting/emailing the 
presenation.  Different problems arise in various scenarios, if you embed the 
sound files as per any of the above ...

When sending a presentation as a .ppt, using the file menu within the 
presentation - the auto page transitions are lost (will only advances on mouse 
click), if the sound file is embedded;  also you are left with a file recovery 
dialoge box if you later try to open the emailed presentation from within your 
email 'sent' folder.

When sending a presentation using the XP classic menu on left hand side of 
screen, i.e., "email this file" and selecting a .ppt or .pps file, it sends the 
sound file and the page transitions, but the sound file can only be started on 
mouse click - it will not start automatically, upon the opening of the slide 
show.

Selecting the sound file from the gallery in the custom transitions still 
definitely does not embed the sound file in the presentation.  For emailing, 
export, etc. it is dropped, which suggests that Impress is calling up the sound 
file from the gallery but not embedding it in the presentation.

What seems to be missing is the capability of embedding sound files from the 
Impress Gallery Sound folder and at the same time retaining the feature of 
these starting automatically when the slide show starts ... or wherever auto 
required within the slide show - with no mouse click!  This currently only 
works on the slide show creator's p.c. and not on any other, because Impress is 
playing the file from the Gallery files stored on the creator's p.c. and not 
from within the presentation itself ... viz a viz, the files are not embedding.

Comment 5 dinger 2009-08-07 23:37:25 UTC
P.S. to report above - am using Ooo.org Version 3.1 with Windows XP Pro